1. Authorization - OAuth 2
Reader API
  • Welcome to Omerlo
  • Authorization - OAuth 2
    • Client Credentials flow
      POST
    • Authorization Code flow
      POST
    • Refresh Token flow
      POST
    • Verify oauth user
      POST
    • User info
      GET
  • Accounts
    • Profiles
      • People
        • Paginated User profiles people
        • Create User person profile
        • User profile Person by id
        • Update User profile Person by id
      • Organizations
        • Paginated User profiles organizations
        • Create User organization profile
        • User profile Organization by id
        • Update User profile Organization by id
    • User info
      GET
    • User entitlements
      GET
  • Announcements
    • Paginated Announcement list
      GET
    • Announcement by id
      GET
  • Blocks
    • Media Block by id
      GET
  • Categories
    • Paginated categories list
      GET
    • Category by id
      GET
  • Community
    • Events
      • Paginated Events
      • Search Events
      • Events dates by range
      • Event by id
      • Event blocks by id
      • Register to an Event by id
      • Unregister from an Event by id
      • Paginated Event people participants
      • Paginated Event organizations participants
    • Organizations
      • Paginated Organizations
      • Search Organizations
      • Organization by id
      • Organization blocks by id
    • People
      • Paginated People
      • Search People
      • Person by id
      • Person blocks by id
    • Projects
      • Paginated Projects
      • Search Projects
      • Project by id
      • Project blocks by id
  • Contents
    • Paginated Contents
      GET
    • Search Contents
      GET
    • Content by id
      GET
    • Content questions results by id
      GET
  • Devices
    • Register a device
  • Distributions
    • Releases
      • Paginated Release list
      • Release by id
    • Paginated Distribution list
    • Distribution by id
  • Favorites
  • Issues
    • Issue by id
    • List Contents in Issue Section
    • Search Contents in Issue
    • Issue Section Blocks by section_id
  • Oauth Providers
    • List providers
  • Mailer
    • Send email
  • Menus
    • Menu by key
  • Newsletter
    • Mailinglist
      • GET paginated Mailinglists
    • Subscription
      • POST Subscription
      • GET all Reader Subscriptions
      • DELETE all Reader Subscriptions
      • DELETE Reader Subscription by id
  • References
    • Reference by Ref
  • Sections
    • Section by id
    • Paginated Contents by Section id
  • Topics
    • List topics
    • Subscribe
    • Unsubscribe
  • Webpages
    • Paginated webpages list
    • Webpage by key OR id
  • Media overview
    GET
  • Schemas
    • ReaderHub
      • Distribution
        • Distribution
        • Distribution (summary)
        • Release
        • Release (summary)
      • Issue
        • Issue
        • Issue (summary)
        • Issue Section
        • Issue Section (summary)
        • SectionContent
        • Issue Block
        • Issue BlockConfiguration (summary)
        • IssueType (summary)
      • Community
        • ProfileType (summary)
        • Profile BlockType (summary)
        • Event
        • Event (summary)
        • Event Participant
        • Organization
        • Organization (summary)
        • Person
        • Person (summary)
        • Project
        • Project (summary)
        • Profile (summary)
        • Profile Address
        • Profile Description Block
        • Profile Contact
        • Profile Block
      • Content
        • Blocks
          • Block kind Data
          • Block kind HTML
          • Block kind Image
          • Block kind Question
          • Block kind Quote
          • Block kind Related Contents
          • Block kind Richtext
          • Block kind Slideshow
          • Block kind Video
        • Author (summary)
        • Content Template (summary)
        • Content Block
        • Content Block Template (summary)
        • Content
        • Content (summary)
        • Questions answers
      • Media
        • Announcement
        • Announcement (summary)
        • Menu
        • Menu Item
        • Media Block (summary)
        • Media BlockConfiguration (summary)
        • Media Section
        • Media Section (summary)
        • Topic (summary)
        • Webpage
        • Webpage (summary)
        • Media
        • Media (summary)
        • Media Block
        • Media Block Configuration (summary)
      • Integrations
        • Reference
      • Messenger
        • Mailinglist (summary)
        • Subscription
      • OauthProviderSummary
    • Common
      • Visual
        • Image
        • Slideshow
        • Video
      • PagingMeta
      • Metadata
      • LocalesMetadata
      • Visual
      • Category
      • Category (summary)
  1. Authorization - OAuth 2

Authorization Code flow

POST
https:/omerlo.com/api/media/v1/oauth/token
Exchange an authorization code from an external provider to obtains omerlo tokens.
The access token is the same as the provider's access token.
This mean you can use the same token to communicate with the provider api and the Omerlo CMS.

Request

Query Params

Responses

🟢200Success
application/json
Body

🟠400Data error
🟠401Authorization
🟠403Token missing scope
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https/omerlo.com/api/media/v1/oauth/token?client_id=87b65904-e1f7-45e5-9fa0-40cbea12a8c1&code=<authorization-code>&redirect_uri=https://acme.com/callback&oauth_provider_id=f315097b-83a8-4d21-916f-33801b867b5b&grand_type='
Response Response Example
200 - Success
{
    "scope": "user",
    "access_token": "<access-token>",
    "refresh_token": "<refresh-token>",
    "expires_in": 3600,
    "token_type": "Bearer"
}
Previous
Client Credentials flow
Next
Refresh Token flow
Built with